Last Comment Bug 230355 - Update Cookie Manager Help for bug 225857
: Update Cookie Manager Help for bug 225857
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: unspecified
: x86 Windows 2000
: -- normal (vote)
: ---
Assigned To: Giacomo Magnini
: R.J. Keller
Mentors:
Depends on:
Blocks: 187425 321526
  Show dependency treegraph
 
Reported: 2004-01-07 18:45 PST by Daniel Wang
Modified: 2006-01-03 11:46 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (79.81 KB, patch)
2004-01-08 15:08 PST, Daniel Wang
no flags Details | Diff | Splinter Review
preview (67.37 KB, text/html)
2004-01-28 13:35 PST, Daniel Wang
rjkeller: review-
Details
Updated to current situation (15.92 KB, patch)
2005-11-09 03:40 PST, Giacomo Magnini
iann_bugzilla: review-
Details | Diff | Splinter Review
Addressed Ian comments (maybe...) (28.54 KB, patch)
2005-11-15 02:06 PST, Giacomo Magnini
no flags Details | Diff | Splinter Review
As discussed on IRC. (41.51 KB, patch)
2005-11-15 07:37 PST, Giacomo Magnini
iann_bugzilla: review+
neil: superreview+
Details | Diff | Splinter Review
Fixed Neil comment. (22.37 KB, patch)
2005-11-22 09:35 PST, Giacomo Magnini
iann_bugzilla: review-
Details | Diff | Splinter Review
Hopefully not truncated patch... (21381 bytes) (20.88 KB, patch)
2005-12-11 01:08 PST, Giacomo Magnini
no flags Details | Diff | Splinter Review
Found the problem: the changes website->site were reverted... (45.54 KB, patch)
2005-12-12 10:03 PST, Giacomo Magnini
no flags Details | Diff | Splinter Review
Hopefully restored original patch, plus fixes. (44.00 KB, patch)
2005-12-12 10:44 PST, Giacomo Magnini
iann_bugzilla: review+
iann_bugzilla: approval‑seamonkey1.0+
Details | Diff | Splinter Review
Full stop restored. Changed: Disable cookies -> Block cookies (a few lines above the missing fullstop). Checked in (trunk/branch). (43.98 KB, patch)
2005-12-14 00:03 PST, Giacomo Magnini
prometeo.bugs: review+
iann_bugzilla: approval‑seamonkey1.0+
Details | Diff | Splinter Review

Description Daniel Wang 2004-01-07 18:45:36 PST
bug 225857

menu items for both Cookie Manager and Image Manager have been changed. Need to
update Help content.
Comment 1 Daniel Wang 2004-01-08 15:08:20 PST
Created attachment 138665 [details] [diff] [review]
patch

cookie info update.
also convert page to xhtml
Comment 2 Daniel Wang 2004-01-28 13:35:37 PST
Created attachment 140099 [details]
preview

Lots of changes. I might have accidentally removed some IDX anchors; I will
recover 'em later
Comment 3 Daniel Wang 2004-01-28 13:38:13 PST
Chris and timeless, got time to review the changes?
Comment 4 Christopher Aillon (sabbatical, not receiving bugmail) 2004-01-28 14:03:59 PST
Comment on attachment 140099 [details]
preview

/me defers to dwitte.
Comment 5 Mike Connor [:mconnor] 2004-02-03 08:33:09 PST
dwitte asked me to review this.  Since there isn't a diff version, I'm doing a
general review on the documentation.

spelling nit: Persistant should be persistent.
Sites in the Cookie Sites dialog always override the default prefs.  This means
that even if Disable Cookies is selected, allowed sites will still set cookies.
 The pref panel rewrite will address this to some extent.  (See bug link below).

This should also reflect the following bugs:
bug 230624 (updates to cookie dialogs)
bug 64336 (accept session cookies silently)
bug 232744 (remove pref "limit lifetime to n days")
bug 222561 (prefs panel update to reflect the above two bugs).  The mailnews
cookie pref will probably be hidden, so you don't need to document it.

The bits covered specifically by this bug look okay, you're trying to hit a
moving target right now, which is why some open bugs are listed above.  Don't
take the pref panel wording as final, but that'll be the general gist unless
someone comes up with some sort of showstopper.
Comment 6 R.J. Keller 2004-03-13 13:54:56 PST
Comment on attachment 140099 [details]
preview

Daniel, don't have multiple TOC's in your document. I know that there are some
areas in help that do this, but shouldn't.

What we should have:

<h1>doc title</h1>
<div id="contents">...</div>

<h2>TOC topic 1</h2>

<p>doc</p>

<h3>subtopic of TOC topic 1</h3>

Basically you need to change all of your <h1> tags (except for the first one)
to <h2> and change all your old <h2> tags to <h3>. You also need to remove the
extra TOCs.
Comment 7 Giacomo Magnini 2005-11-09 03:40:22 PST
Created attachment 202362 [details] [diff] [review]
Updated to current situation

Used Daniel's patch as a base to update the content, with a few renaming of buttons and options which occurred in the meantime, and update the (c) line.
Comment 8 Ian Neal 2005-11-14 16:10:13 PST
Comment on attachment 202362 [details] [diff] [review]
Updated to current situation

>Index: extensions/help/resources/locale/en-US/using_priv_help.xhtml
>===================================================================
>@@ -65,34 +65,64 @@

.
.
>+  <li>Choose one of the following item:
items instead of item.
.
.

.
.
>+  nothing about it. If the <q>Ask for each cookie</q> option is selected in
>+  the Cookies preferences panel, you will be again be warned when the website
>+  you removed from this list requests permission to set a cookie.</p>
Is this correct or should be any website not in the list?


I've also noticed the help keeps changing from using site to website and back again. It should probably be site throughout because, as far as I am aware, Cookies are used by applications other than Navigator (mailnews being one).
Comment 9 Giacomo Magnini 2005-11-15 02:06:33 PST
Created attachment 203105 [details] [diff] [review]
Addressed Ian comments (maybe...)

- item->items
- website->site (only for the cookie part of the file)
- rewrote the phrase about Ask for each cookie
- bonus: fixed a style nit around the end of the file
Is it any better Ian?
Comment 10 Giacomo Magnini 2005-11-15 07:37:15 PST
Created attachment 203125 [details] [diff] [review]
As discussed on IRC.
Comment 11 neil@parkwaycc.co.uk 2005-11-21 05:23:44 PST
Comment on attachment 203125 [details] [diff] [review]
As discussed on IRC.

sr=me if you add text for the "Allow for session" button in the cookie dialog.
Comment 12 Giacomo Magnini 2005-11-22 09:35:57 PST
Created attachment 203947 [details] [diff] [review]
Fixed Neil comment.

I've also fixed some wrong items in preferences description and removed some wrongly <strong>ed words... Will carry over sr flag only after Ian has given this another look.
Comment 13 Giacomo Magnini 2005-12-09 01:33:33 PST
See also bug 311330.
Comment 14 Ian Neal 2005-12-10 17:47:20 PST
Comment on attachment 203947 [details] [diff] [review]
Fixed Neil comment.

I thought there was something wrong by the size of this diff compared the previous one, you seemed to have lost half the changes that were in the last patch.
Comment 15 Giacomo Magnini 2005-12-11 01:08:53 PST
Created attachment 205533 [details] [diff] [review]
Hopefully not truncated patch... (21381 bytes)
Comment 16 Giacomo Magnini 2005-12-12 10:03:08 PST
Created attachment 205641 [details] [diff] [review]
Found the problem: the changes website->site were reverted...
Comment 17 Giacomo Magnini 2005-12-12 10:44:40 PST
Created attachment 205648 [details] [diff] [review]
Hopefully restored original patch, plus fixes.
Comment 18 Ian Neal 2005-12-13 15:17:15 PST
Comment on attachment 205648 [details] [diff] [review]
Hopefully restored original patch, plus fixes.

>Index: extensions/help/resources/locale/en-US/using_priv_help.xhtml
>===================================================================

>+  <li><strong>Accept for current session only:</strong> Select this to delete
>+    the cookie the next time you exit your browser.</li>
>+  <li><strong>Accept cookies for __ days:</strong> Select this if you
>+    want to limit the length of time any cookie can remain on your computer,
>+    then type the number of days.</li>
>+  <li><strong>Ask for each cookie:</strong> Select this if you want
>+    Cookie Manager to warn you each time a site is about to store a cookie
Is there a full stop missing after cookie?

>+    In addition, you can choose <strong>except for session cookies:</strong> so
>+    that &brandShortName; will not warn you if the site is setting cookies
>+    which will be deleted when you exit your browser.</li>
> </ul>

r/a=me with that possible change
Comment 19 Giacomo Magnini 2005-12-14 00:03:05 PST
Created attachment 205805 [details] [diff] [review]
Full stop restored. Changed: Disable cookies -> Block cookies (a few lines above the missing fullstop). Checked in (trunk/branch).

Patch ready for checkin.
Comment 20 Stefan [:stefanh] 2005-12-14 11:34:29 PST
Checked in (trunk/branch) by Standard8.

Note You need to log in before you can comment on or make changes to this bug.